<?php
/**
* The Template for displaying comments.
*
* The area of the page that contains both current comments and the comment form.
*
* @package templatetoaster
*/
?>
<div id="comments">
<?php if ( post_password_required() ) : ?>
<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'wordpress_custom_theme' ); ?></p>
</div>
<?php
return;
endif;
?>
<?php
$comment_form_show_on = templatetoaster_theme_option('ttr_comment_list_form');
if (templatetoaster_theme_option('ttr_comment_list_form') == 'choice2') {
templatetoaster_theme_comment_form($templatetoaster_cssprefix = 'ttr_');
} 
?>
<?php if(templatetoaster_theme_option('ttr_comments_list')): ?>
<?php if ( have_comments() ) : ?>
<h2 id="comments-title">
<?php
printf( _n( 'One thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', get_comments_number(), 'wordpress_custom_theme' ),
number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
?>
</h2>
<?php endif; ?>
<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :?>
<nav id="comment-nav-above">
<h1 class="assistive-text"><?php _e( 'Comment navigation', 'wordpress_custom_theme' ); ?></h1>
<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'wordpress_custom_theme' ) ); ?></div>
<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'wordpress_custom_theme' ) ); ?></div>
</nav>
<?php endif;?>
<ol class="commentlist">
<?php
wp_list_comments( array(
'style'       => 'ol',
'short_ping'  => true,
'avatar_size' => templatetoaster_theme_option('ttr_avatar_size'),
'callback' => 'templatetoaster_comment_call',
) );
?>
</ol>
<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
?>
<nav id="comment-nav-below">
<h1 class="assistive-text"><?php _e( 'Comment navigation', 'wordpress_custom_theme' ); ?></h1>
<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'wordpress_custom_theme' ) ); ?></div>
<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'wordpress_custom_theme' ) ); ?></div>
</nav>
<?php endif;?>
<?php
elseif ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) :
?>
<?php if(templatetoaster_theme_option('ttr_comments_closed_text')){?>
<p class="nocomments"><?php _e( 'Comments are closed.', 'wordpress_custom_theme' ); ?></p>
<?php } ?>
<?php endif; ?>
<?php if (templatetoaster_theme_option('ttr_comment_list_form') == 'choice1') {
templatetoaster_theme_comment_form($templatetoaster_cssprefix = 'ttr_');
} ?>
</div>