<?php
class templatetoaster_Theme_Options_Dynamic
{
public $sections;
public $checkboxes;
public $contactvar;
public $settings;

 /*** Construct ***/
public function __construct()
{
// This will keep track of the checkbox options for the validate_settings function.
$this->checkboxes = array();
$this->settings = array();
$this->get_dynamic_options();
$this->sections['header'] = __('Header', 'wordpress_custom_theme');
$this->sections['slideshow'] = __('Slideshow', 'wordpress_custom_theme');
$this->sections['postcontent'] = __('Post/Content', 'wordpress_custom_theme');
$this->sections['sidebar'] = __('Sidebar', 'wordpress_custom_theme');
$this->sections['footer'] = __('Footer', 'wordpress_custom_theme');
$this->sections['colors'] = __('Colors', 'wordpress_custom_theme');
$this->sections['generaloptions'] = __('General', 'wordpress_custom_theme');
$contactvar=get_option('contact_form',"ttr_test");
if( $contactvar == "ttr_test") {
$adminmail=get_option('admin_email');
$default=array(0=>array('ttr_email'=>''),1=>array('ttr_captcha_public_key'=>''),2=>array('ttr_captcha_private_key'=>''),3=>array('ttr_contact_us_error_message'=>'Message was not sent. Try Again.'),4=>array('ttr_contact_us_success_message'=>'Thanks! Your message has been sent.'));
update_option( 'contact_form', $default );
}
}
public function get_dynamic_options()
{
$menulogo = get_template_directory_uri() . '/menulogo.png';
$headerlogo = get_template_directory_uri() . '/logo.png';
$headerrss = get_template_directory_uri().'/images/headerrss.png';
$headerfacebook = get_template_directory_uri().'/images/headerfacebook.png';
$headerlinkedin = get_template_directory_uri().'/images/headerlinkedin.png';
$headertwitter = get_template_directory_uri().'/images/headertwitter.png';
$headergoogleplus = get_template_directory_uri() . '/images/headergoogleplus.png';
$footerrss = get_template_directory_uri().'/images/footerrss.png';
$footertwitter = get_template_directory_uri().'/images/footertwitter.png';
$footergoogleplus = get_template_directory_uri() . '/images/footergoogleplus.png';
$footerfacebook = get_template_directory_uri().'/images/footerfacebook.png';
$footerlinkedin = get_template_directory_uri().'/images/footerlinkedin.png';
$favicon = get_template_directory_uri().'/favicon.ico';
$copyright_url = home_url();
$facebook_url = 'http://www.facebook.com/TemplateToaster';
$linkedin_url = 'http://www.templatetoaster.com';
$twitter_url = 'http://twitter.com/templatetoaster';
$googleplus_url = 'http://www.templatetoaster.com';
$footer_facebook_url = 'http://www.facebook.com/TemplateToaster';
$footer_linkedin_url = 'http://www.templatetoaster.com';
$footer_twitter_url = 'http://twitter.com/templatetoaster';
$footer_googleplus_url = 'http://www.templatetoaster.com';
/* Color Settings */

$this->settings['ttr_designedby'] = array(
'title' => __('Footer Designed By Color', 'wordpress_custom_theme'),
'desc' => __('Choose footer Designed By color', 'wordpress_custom_theme'),
'std' => '',
/*'class' => 'colorwell',*/
'type' => 'colorpicker',
'section' => 'colors');
$this->settings['ttr_designedbylink'] = array(
'title' => __('Footer Designed By Link Color', 'wordpress_custom_theme'),
'desc' => __('Choose footer Designed By link color', 'wordpress_custom_theme'),
'std' => '',
/*'class' => 'colorwell',*/
'type' => 'colorpicker',
'section' => 'colors');
$this->settings['ttr_blockheading'] = array(
'title' => __('Block Heading Color', 'wordpress_custom_theme'),
'desc' => __('Choose block heading color', 'wordpress_custom_theme'),
'std' => '',
/*'class' => 'colorwell',*/
'type' => 'colorpicker',
'section' => 'colors');
$this->settings['ttr_sidebarmenuheading'] = array(
'title' => __('Sidebar Menu Heading Color', 'wordpress_custom_theme'),
'desc' => __('Choose sidebar menu heading color', 'wordpress_custom_theme'),
'std' => '',
/*'class' => 'colorwell',*/
'type' => 'colorpicker',
'section' => 'colors');
$this->settings['ttr_post_title_color'] = array(
'title' => __('Page/Post Title Normal Color', 'wordpress_custom_theme'),
'desc' => __('Choose Page/Post title normal color', 'wordpress_custom_theme'),
'std' => '',
/*'class' => 'colorwell',*/
'type' => 'colorpicker',
'section' => 'colors');
$this->settings['ttr_post_title_hover_color'] = array(
'title' => __('Post Title Hover Color', 'wordpress_custom_theme'),
'desc' => __('Choose post title hover color', 'wordpress_custom_theme'),
'std' => '',
/*'class' => 'colorwell',*/
'type' => 'colorpicker',
'section' => 'colors');
/* Post/Content Settings */
$this->settings['ttr_featured_post'] = array(
'title' => __('Number of Featured Posts', 'wordpress_custom_theme'),
'desc' => __('How many posts would you like to be displayed as featured on the front page?', 'wordpress_custom_theme'),
'std' => '1',
'pattern' => '\d+',
'type' => 'text',
'section' => 'postcontent');
$this->settings['ttr_post_layout'] = array(
'title' => __('Number of Columns', 'wordpress_custom_theme'),
'desc' => __('How many columns would you like to display the posts after featured posts', 'wordpress_custom_theme'),
'std' => '4',
'pattern' => '\d+',
'type' => 'text',
'section' => 'postcontent');
$this->settings['ttr_page_breadcrumb'] = array(
'title' => __('Show Breadcrumbs On Page', 'wordpress_custom_theme'),
'desc' => __('Check this box if you would like to ENABLE the Breadcrumbs On Page', 'wordpress_custom_theme'),
'std' => 0,
'type' => 'checkbox',
'section' => 'postcontent');
$this->settings['ttr_post_breadcrumb'] = array(
'title' => __('Show Breadcrumbs On Post', 'wordpress_custom_theme'),
'desc' => __('Check this box if you would like to ENABLE the Breadcrumbs On Post', 'wordpress_custom_theme'),
'std' => 0,
'type' => 'checkbox',
'section' => 'postcontent');
$this->settings['ttr_breadcrumb_text'] = array(
'title' => __('Breadcrumbs Prefix', 'wordpress_custom_theme'),
'desc' => __('Choose breadcrumbs text', 'wordpress_custom_theme'),
'std' => '',
'type' => 'text',
'section' => 'postcontent');
$this->settings['ttr_breadcrumb_text_separator'] = array(
'title' => __('Breadcrumbs Separator', 'wordpress_custom_theme'),
'desc' => __('Set your Breadcrumbs separator', 'wordpress_custom_theme'),
'std' => '',
'type' => 'text',
'section' => 'postcontent');
/* Sidebar Settings */

$this->settings['ttr_font_size_sidebarmenu'] = array(
'title' => __('Sidebarmenu Heading Font Size', 'wordpress_custom_theme'),
'desc' => __('Enter the font size of Sidebarmenu Heading', 'wordpress_custom_theme'),
'std' => '',
'pattern' => '\d+',
'type' => 'text',
'section' => 'sidebar');
$this->settings['ttr_heading_tag_sidebarmenu'] = array(
'title' => __('Heading Tag for Sidebarmenu heading', 'wordpress_custom_theme'),
'desc' => __('Enter the heading tag for Sidebarmenu Heading', 'wordpress_custom_theme'),
'type' => 'select',
'std' => 'h3',
'choices' => array(
'choice1' => __('h1', 'wordpress_custom_theme'),
'choice2' => __('h2', 'wordpress_custom_theme'),
'choice3' => __('h3', 'wordpress_custom_theme'),
'choice4' => __('h4', 'wordpress_custom_theme'),
'choice5' => __('h5', 'wordpress_custom_theme'),
'choice6' => __('h6', 'wordpress_custom_theme'),
'choice7' => __('span', 'wordpress_custom_theme')),
'section' => 'sidebar');
$this->settings['ttr_font_size_block'] = array(
'title' => __('Block Heading Font Size', 'wordpress_custom_theme'),
'desc' => __('Enter the font size of Block Heading', 'wordpress_custom_theme'),
'std' => '',
'pattern' => '\d+',
'type' => 'text',
'section' => 'sidebar');
$this->settings['ttr_heading_tag_block'] = array(
'title' => __('Heading Tag for Block Heading', 'wordpress_custom_theme'),
'desc' => __('Choose heading tag for Block Heading', 'wordpress_custom_theme'),
'type' => 'select',
'std' => 'h3',
'choices' => array(
'choice1' => __('h1', 'wordpress_custom_theme'),
'choice2' => __('h2', 'wordpress_custom_theme'),
'choice3' => __('h3', 'wordpress_custom_theme'),
'choice4' => __('h4', 'wordpress_custom_theme'),
'choice5' => __('h5', 'wordpress_custom_theme'),
'choice6' => __('h6', 'wordpress_custom_theme'),
'choice7' => __('span', 'wordpress_custom_theme')),
'section' => 'sidebar');
 /*** Header ***/
/* Slideshow Settings */
$this->settings['ttr_slide_show_image0'] = array(
'title' => __('Slideshow Image 1', 'wordpress_custom_theme'),
'desc' => __('Choose Image for Slide Show 1', 'wordpress_custom_theme'),
'std' => '',
'type' => 'media',
'section' => 'slideshow');
$this->settings['ttr_horizontal_align0'] = array(
'title' => __('Horizontal Alignment', 'wordpress_custom_theme'),
'desc' => __('Set Horizontal Alignment', 'wordpress_custom_theme'),
'type' => 'select',
'std' => '',
'choices' => array(
'choice1' => __('', 'wordpress_custom_theme'),
'choice2' => __('Left', 'wordpress_custom_theme'),
'choice3' => __('Center', 'wordpress_custom_theme'),
'choice4' => __('Right', 'wordpress_custom_theme')),
'section' => 'slideshow');
$this->settings['ttr_vertical_align0'] = array(
'title' => __('Vertical Alignment', 'wordpress_custom_theme'),
'desc' => __('Set Vertical Alignment', 'wordpress_custom_theme'),
'type' => 'select',
'std' => '',
'choices' => array(
'choice1' => __('', 'wordpress_custom_theme'),
'choice2' => __('Top', 'wordpress_custom_theme'),
'choice3' => __('Center', 'wordpress_custom_theme'),
'choice4' => __('Bottom', 'wordpress_custom_theme')),
'section' => 'slideshow');
$this->settings['ttr_stretch0'] = array(
'title' => __('Stretch', 'wordpress_custom_theme'),
'desc' => __('Set Stretch value', 'wordpress_custom_theme'),
'type' => 'select',
'std' => '',
'choices' => array(
'choice1' => __('None', 'wordpress_custom_theme'),
'choice2' => __('fill', 'wordpress_custom_theme'),
'choice3' => __('Uniform To Fill', 'wordpress_custom_theme'),
'choice4' => __('Uniform', 'wordpress_custom_theme')),
'section' => 'slideshow');
/* Slideshow Settings */
$this->settings['ttr_slide_show_image1'] = array(
'title' => __('Slideshow Image 2', 'wordpress_custom_theme'),
'desc' => __('Choose Image for Slide Show 2', 'wordpress_custom_theme'),
'std' => '',
'type' => 'media',
'section' => 'slideshow');
$this->settings['ttr_horizontal_align1'] = array(
'title' => __('Horizontal Alignment', 'wordpress_custom_theme'),
'desc' => __('Set Horizontal Alignment', 'wordpress_custom_theme'),
'type' => 'select',
'std' => '',
'choices' => array(
'choice1' => __('', 'wordpress_custom_theme'),
'choice2' => __('Left', 'wordpress_custom_theme'),
'choice3' => __('Center', 'wordpress_custom_theme'),
'choice4' => __('Right', 'wordpress_custom_theme')),
'section' => 'slideshow');
$this->settings['ttr_vertical_align1'] = array(
'title' => __('Vertical Alignment', 'wordpress_custom_theme'),
'desc' => __('Set Vertical Alignment', 'wordpress_custom_theme'),
'type' => 'select',
'std' => '',
'choices' => array(
'choice1' => __('', 'wordpress_custom_theme'),
'choice2' => __('Top', 'wordpress_custom_theme'),
'choice3' => __('Center', 'wordpress_custom_theme'),
'choice4' => __('Bottom', 'wordpress_custom_theme')),
'section' => 'slideshow');
$this->settings['ttr_stretch1'] = array(
'title' => __('Stretch', 'wordpress_custom_theme'),
'desc' => __('Set Stretch value', 'wordpress_custom_theme'),
'type' => 'select',
'std' => '',
'choices' => array(
'choice1' => __('None', 'wordpress_custom_theme'),
'choice2' => __('fill', 'wordpress_custom_theme'),
'choice3' => __('Uniform To Fill', 'wordpress_custom_theme'),
'choice4' => __('Uniform', 'wordpress_custom_theme')),
'section' => 'slideshow');
/* Slideshow Settings */
$this->settings['ttr_slide_show_image2'] = array(
'title' => __('Slideshow Image 3', 'wordpress_custom_theme'),
'desc' => __('Choose Image for Slide Show 3', 'wordpress_custom_theme'),
'std' => '',
'type' => 'media',
'section' => 'slideshow');
$this->settings['ttr_horizontal_align2'] = array(
'title' => __('Horizontal Alignment', 'wordpress_custom_theme'),
'desc' => __('Set Horizontal Alignment', 'wordpress_custom_theme'),
'type' => 'select',
'std' => '',
'choices' => array(
'choice1' => __('', 'wordpress_custom_theme'),
'choice2' => __('Left', 'wordpress_custom_theme'),
'choice3' => __('Center', 'wordpress_custom_theme'),
'choice4' => __('Right', 'wordpress_custom_theme')),
'section' => 'slideshow');
$this->settings['ttr_vertical_align2'] = array(
'title' => __('Vertical Alignment', 'wordpress_custom_theme'),
'desc' => __('Set Vertical Alignment', 'wordpress_custom_theme'),
'type' => 'select',
'std' => '',
'choices' => array(
'choice1' => __('', 'wordpress_custom_theme'),
'choice2' => __('Top', 'wordpress_custom_theme'),
'choice3' => __('Center', 'wordpress_custom_theme'),
'choice4' => __('Bottom', 'wordpress_custom_theme')),
'section' => 'slideshow');
$this->settings['ttr_stretch2'] = array(
'title' => __('Stretch', 'wordpress_custom_theme'),
'desc' => __('Set Stretch value', 'wordpress_custom_theme'),
'type' => 'select',
'std' => '',
'choices' => array(
'choice1' => __('None', 'wordpress_custom_theme'),
'choice2' => __('fill', 'wordpress_custom_theme'),
'choice3' => __('Uniform To Fill', 'wordpress_custom_theme'),
'choice4' => __('Uniform', 'wordpress_custom_theme')),
'section' => 'slideshow');
/* Footer Settings */

$this->settings['ttr_font_size_designedby'] = array(
'title' => __('Footer Designed By Font Size', 'wordpress_custom_theme'),
'desc' => __('Enter the font size of Footer Designed By', 'wordpress_custom_theme'),
'std' => '',
'type' => 'text',
'section' => 'footer');
$this->settings['ttr_font_size_designedbylink'] = array(
'title' => __('Footer Designed By Link Font Size', 'wordpress_custom_theme'),
'desc' => __('Enter the font size of Footer Designed By Link', 'wordpress_custom_theme'),
'std' => '',
'type' => 'text',
'section' => 'footer');
$this->settings['ttr_rss'] = array(
'title' => __('Upload your RSS Icon', 'wordpress_custom_theme'),
'desc' => __('Upload your RSS Icon', 'wordpress_custom_theme'),
'std' => $footerrss,
'type' => 'media',
'section' => 'footer');
$this->settings['ttr_rss_enable'] = array(
'title' => __('Display RSS Icon', 'wordpress_custom_theme'),
'desc' => __('ENABLE/DISABLE the RSS Icon', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'footer');
$this->settings['ttr_facebook'] = array(
'title' => __('Upload your Facebook Icon', 'wordpress_custom_theme'),
'desc' => __('Upload your Facebook Icon', 'wordpress_custom_theme'),
'std' => $footerfacebook,
'type' => 'media',
'section' => 'footer');
$this->settings['ttr_facebook_enable'] = array(
'title' => __('Display Facebook Icon', 'wordpress_custom_theme'),
'desc' => __('ENABLE/DISABLE the Facebook Icon', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'footer');
$this->settings['ttr_facebook_url'] = array(
'title' => __('Facebook Icon URL', 'wordpress_custom_theme'),
'desc' => __('Enter Facebook url', 'wordpress_custom_theme'),
'std' => $footer_facebook_url,
'type' => 'textarea',
'section' => 'footer');
$this->settings['ttr_linkedin'] = array(
'title' => __('Upload your LinkedIn Icon', 'wordpress_custom_theme'),
'desc' => __('Upload your LinkedIn Icon', 'wordpress_custom_theme'),
'std' => $footerlinkedin,
'type' => 'media',
'section' => 'footer');
$this->settings['ttr_linkedin_enable'] = array(
'title' => __('Display LinkedIn Icon', 'wordpress_custom_theme'),
'desc' => __('ENABLE/DISABLE the LinkedIn Icon', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'footer');
$this->settings['ttr_linkedin_url'] = array(
'title' => __('LinkedIn Icon URL', 'wordpress_custom_theme'),
'desc' => __('Enter LinkedIn url', 'wordpress_custom_theme'),
'std' => $footer_linkedin_url,
'type' => 'textarea',
'section' => 'footer');
$this->settings['ttr_twitter'] = array(
'title' => __('Upload your Twitter Icon', 'wordpress_custom_theme'),
'desc' => __('Upload your Twitter Icon', 'wordpress_custom_theme'),
'std' => $footertwitter,
'type' => 'media',
'section' => 'footer');
$this->settings['ttr_twitter_enable'] = array(
'title' => __('Display Twitter Icon', 'wordpress_custom_theme'),
'desc' => __('ENABLE/DISABLE the Twitter Icon', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'footer');
$this->settings['ttr_twitter_url'] = array(
'title' => __('Twitter Icon URL', 'wordpress_custom_theme'),
'desc' => __('Enter Twitter url', 'wordpress_custom_theme'),
'std' => $footer_twitter_url,
'type' => 'textarea',
'section' => 'footer');
$this->settings['ttr_googleplus'] = array(
'title' => __('Upload your GooglePlus Icon', 'wordpress_custom_theme'),
'desc' => __('Upload your GooglePlus Icon', 'wordpress_custom_theme'),
'std' => $footergoogleplus,
'type' => 'media',
'section' => 'footer');
$this->settings['ttr_googleplus_enable'] = array(
'title' => __('Display GooglePlus Icon', 'wordpress_custom_theme'),
'desc' => __('ENABLE/DISABLE the GooglePlus Icon', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'footer');
$this->settings['ttr_googleplus_url'] = array(
'title' => __('GooglePlus Icon URL', 'wordpress_custom_theme'),
'desc' => __('Enter GooglePlus url', 'wordpress_custom_theme'),
'std' => $footer_googleplus_url,
'type' => 'textarea',
'section' => 'footer');
$this->settings['ttr_show_social_media_enable'] = array(
'title' => __('Show Social Media Icons', 'wordpress_custom_theme'),
'desc' => __('ENABLE/DISABLE Social Media icons', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'footer');
$this->settings['ttr_link_new_window_enable'] = array(
'title' => __('Open Social Media Links In A New Window', 'wordpress_custom_theme'),
'desc' => __('ENABLE/DISABLE to Open Social Media Links In A New Window', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'footer');
$this->settings['ttr_no_follow'] = array(
'title' => __('Enable rel="nofollow"', 'wordpress_custom_theme'),
'desc' => __('ENABLE/DISABLE to rel=follow', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'footer');
/** General Options **/

$this->settings['ttr_theme_bootstrap_enable'] = array(
'title' => __('Enable Theme Bootstrap Javascipt', 'wordpress_custom_theme'),
'desc' => __('ENABLE/DISABLE Theme Bootstrap Javascipt', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_google_analytics'] = array(
'title' => __('Google Analytics', 'wordpress_custom_theme'),
'desc' => __('Text Box for google analytics', 'wordpress_custom_theme'),
'std' => '',
'type' => 'textarea',
'section' => 'generaloptions');
$this->settings['ttr_google_analytics_enable'] = array(
'title' => __('Enable Google Analytics', 'wordpress_custom_theme'),
'desc' => __('ENABLE/DISABLE Google Analytics', 'wordpress_custom_theme'),
'std' => 0,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_custom_style'] = array(
'title' => __('Custom CSS', 'wordpress_custom_theme'),
'desc' => __('Text Box for custom css', 'wordpress_custom_theme'),
'std' => '',
'type' => 'textarea',
'section' => 'generaloptions');
$this->settings['ttr_all_page_title'] = array(
'title' => __('Display All Page Titles', 'wordpress_custom_theme'),
'desc' => __('On/Off the page title', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_all_post_title'] = array(
'title' => __('Display All Post Titles', 'wordpress_custom_theme'),
'desc' => __('On/Off the post title', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_post_navigation_above'] = array(
'title' => __('Display Navigation above the posts', 'wordpress_custom_theme'),
'desc' => __('Show/Hide navigation above the posts', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_post_navigation_below'] = array(
'title' => __('Display Navigation below the posts', 'wordpress_custom_theme'),
'desc' => __('Show/Hide navigation below the posts', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_older_newer_posts_above'] = array(
'title' => __('Display Older/Newer Posts Link  above the posts', 'wordpress_custom_theme'),
'desc' => __('Show/Hide Older/Newer Posts Link above the posts', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_older_newer_posts_below'] = array(
'title' => __('Display Older/Newer Posts Link below the posts', 'wordpress_custom_theme'),
'desc' => __('Show/Hide Older/Newer Posts Link below the posts', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_post_navigation_post'] = array(
'title' => __('Display Post Navigation', 'wordpress_custom_theme'),
'desc' => __('Show/Hide post navigation', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_post_category_post'] = array(
'title' => __('Display Post Category', 'wordpress_custom_theme'),
'desc' => __('Show/Hide post Category', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_previous_next_links'] = array(
'title' => __('Display Previous/next Posts Link', 'wordpress_custom_theme'),
'desc' => __('Show/Hide Previous/next  Posts Link', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_pagination_link_posts_above'] = array(
'title' => __('Display Pagination Link Of Post Pages above the posts', 'wordpress_custom_theme'),
'desc' => __('Show/Hide Pagination Link Of Post Pages above the posts', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_pagination_link_posts_below'] = array(
'title' => __('Display Pagination Link Of Post Pages below the posts', 'wordpress_custom_theme'),
'desc' => __('Show/Hide Pagination Link Of Post Pages  below the posts', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_comments_closed_text'] = array(
'title' => __('Display Comments are closed ', 'wordpress_custom_theme'),
'desc' => __('Show/Hide Comments are closed', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_comments_list'] = array(
'title' => __('Display Comments List', 'wordpress_custom_theme'),
'desc' => __('Show/Hide Comments ', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_comments_form'] = array(
'title' => __('Display Comments Form', 'wordpress_custom_theme'),
'desc' => __('Show/Hide Comment form ', 'wordpress_custom_theme'),
'std' => 0,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_comment_list_form'] = array(
'title' => __('Show Comments list', 'wordpress_custom_theme'),
'desc' => __('Check this box to show comment form below comments list.', 'wordpress_custom_theme'),
'type' => 'radio',
'std' => 'choice1',
'choices' => array(
'choice1' => __('Above Comment Form', 'wordpress_custom_theme'),
'choice2' => __('Below Comment Form', 'wordpress_custom_theme')
),
'section' => 'generaloptions');
$this->settings['ttr_avatar_size'] = array(
'title' => __('Avatar Size', 'wordpress_custom_theme'),
'desc' => __('Set Avatar size ', 'wordpress_custom_theme'),
'std' => '',
'pattern' => '\d+',
'type' => 'text',
'section' => 'generaloptions');
$this->settings['ttr_back_to_top'] = array(
'title' => __('Display Back To Top Button', 'wordpress_custom_theme'),
'desc' => __('on/off the back to top button', 'wordpress_custom_theme'),
'std' => 1,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_icon_back_to_top'] = array(
'title' => __('Choose icon for Back To Top Button', 'wordpress_custom_theme'),
'desc' => __('Choose icon for back to top button', 'wordpress_custom_theme'),
'std' => '',
'type' => 'media',
'section' => 'generaloptions');
$this->settings['ttr_read_more'] = array(
'title' => __('Read More Text', 'wordpress_custom_theme'),
'desc' => __('Change Text For Read More Link', 'wordpress_custom_theme'),
'std' => __('Continue Reading', 'wordpress_custom_theme'),
'type' => 'text',
'section' => 'generaloptions');
$this->settings['ttr_read_more_button'] = array(
'title' => __('Display Button For Read More', 'wordpress_custom_theme'),
'desc' => __('Enable/Disable the Read More button', 'wordpress_custom_theme'),
'std' => 0,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_post1_enable'] = array(
'title' => __('Read more on all posts', 'wordpress_custom_theme'),
'desc' => __('on/off the Read More on all posts', 'wordpress_custom_theme'),
'std' => 0,
'type' => 'checkbox',
'section' => 'generaloptions');
$this->settings['ttr_read_length'] = array(
'title' => __('Word Count', 'wordpress_custom_theme'),
'desc' => __('After how many words you need read more', 'wordpress_custom_theme'),
'std' => '',
'pattern' => '\d+',
'type' => 'text',
'section' => 'generaloptions');
$this->settings['ttr_search_icon_enable'] = array(
'title' => __('Display Search Icon In Search Widget', 'wordpress_custom_theme'),
'desc' => __('Display/Hide Search Icon', 'wordpress_custom_theme'),
'std' => 0,
'type' => 'checkbox',
'section' => 'generaloptions');
}
}
?>
