<?php
/**
* The header for our theme.
*
* @package templatetoaster
*/
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>"/>
<meta name="viewport" content="width=device-width, initial-scale=1">
<!--[if IE 7]>
<style type="text/css" media="screen">
#ttr_vmenu_items  li.ttr_vmenu_items_parent {display:inline;}
</style>
<![endif]-->
<style>
.ttr_comment_author{width : <?php echo templatetoaster_theme_option('ttr_avatar_size')."px";?>;}
<?php $avtar = templatetoaster_theme_option('ttr_avatar_size') + 10;?>
.ttr_comment_text{width :calc(100% - <?php echo $avtar."px"?>);}
</style>
<?php wp_head(); ?>
</head>
<?php
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
global $templatetoaster_cssprefix;
$theme_path_content = get_template_directory_uri().'/content';
$pageClass = strtolower(preg_replace('/_page.php$/', '', get_page_template_slug()));
if(empty($pageClass) && is_home() || is_single() || is_category() || is_archive() || is_search()){$pageClass = get_the_title( get_option('page_for_posts', true) );
}
if (strrchr($pageClass, '/')) {
$pageClass = substr(strrchr($pageClass, '/'), 1);
}
?>
<body <?php body_class($pageClass); ?>> 
<?php if (templatetoaster_theme_option('ttr_back_to_top')): ?>
<?php $gotopng = templatetoaster_theme_option('ttr_icon_back_to_top');?>
<div class="totopshow">
<?php if(!empty($gotopng)): ?>
<a href="#" class="back-to-top">
<img alt="<?php esc_attr_e('Back to Top', 'wordpress_custom_theme'); ?>" src="<?php echo esc_url($gotopng); ?>">
</a>
<?php else : ?>
<a href="#" class="back-to-top">
<img alt="<?php esc_attr_e('Back to Top', 'wordpress_custom_theme'); ?>" src="<?php echo get_template_directory_uri().'/images/gototop0.png';?>">
</a>
<?php endif; ?>
</div>
<?php endif; ?>
<div id="ttr_page" class="container">
<div class="ttr_banner_menu">
<?php
if( is_active_sidebar( 'menuabovecolumn1'  ) || is_active_sidebar( 'menuabovecolumn2'  ) || is_active_sidebar( 'menuabovecolumn3'  ) || is_active_sidebar( 'menuabovecolumn4'  )):
?>
<div class="ttr_banner_menu_inner_above0">
<?php if ( is_active_sidebar('menuabovecolumn1') ) : ?>
<div class="cell1 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="menuabovecolumn1">
<?php templatetoaster_theme_dynamic_sidebar( 'MAWidgetArea00'); ?>
</div>
</div>
<?php else: ?>
<div class="cell1 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-xs-block">
</div>
<?php if ( is_active_sidebar('menuabovecolumn2') ) : ?>
<div class="cell2 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="menuabovecolumn2">
<?php templatetoaster_theme_dynamic_sidebar( 'MAWidgetArea01'); ?>
</div>
</div>
<?php else: ?>
<div class="cell2 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-sm-block visible-md-block visible-xs-block">
</div>
<?php if ( is_active_sidebar('menuabovecolumn3') ) : ?>
<div class="cell3 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="menuabovecolumn3">
<?php templatetoaster_theme_dynamic_sidebar( 'MAWidgetArea02'); ?>
</div>
</div>
<?php else: ?>
<div class="cell3 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-xs-block">
</div>
<?php if ( is_active_sidebar('menuabovecolumn4') ) : ?>
<div class="cell4 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="menuabovecolumn4">
<?php templatetoaster_theme_dynamic_sidebar( 'MAWidgetArea03'); ?>
</div>
</div>
<?php else: ?>
<div class="cell4 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-lg-block visible-sm-block visible-md-block visible-xs-block">
</div>
</div>
<div class="clearfix"></div>
<?php endif; ?>
</div>
<div class="remove_collapsing_margins"></div>
<?php if ( has_nav_menu( 'primary' ) ) : ?>
<div class="navigation-top">
<div class="wrap">
<?php get_template_part( 'template-parts/navigation/navigation', 'top' ); ?>
</div><!-- .wrap -->
</div><!-- .navigation-top -->
<?php endif; ?>
<div class="ttr_banner_menu">
<?php
if( is_active_sidebar( 'menubelowcolumn1'  ) || is_active_sidebar( 'menubelowcolumn2'  ) || is_active_sidebar( 'menubelowcolumn3'  ) || is_active_sidebar( 'menubelowcolumn4'  )):
?>
<div class="ttr_banner_menu_inner_below0">
<?php if ( is_active_sidebar('menubelowcolumn1') ) : ?>
<div class="cell1 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="menubelowcolumn1">
<?php templatetoaster_theme_dynamic_sidebar( 'MBWidgetArea00'); ?>
</div>
</div>
<?php else: ?>
<div class="cell1 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-xs-block">
</div>
<?php if ( is_active_sidebar('menubelowcolumn2') ) : ?>
<div class="cell2 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="menubelowcolumn2">
<?php templatetoaster_theme_dynamic_sidebar( 'MBWidgetArea01'); ?>
</div>
</div>
<?php else: ?>
<div class="cell2 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-sm-block visible-md-block visible-xs-block">
</div>
<?php if ( is_active_sidebar('menubelowcolumn3') ) : ?>
<div class="cell3 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="menubelowcolumn3">
<?php templatetoaster_theme_dynamic_sidebar( 'MBWidgetArea02'); ?>
</div>
</div>
<?php else: ?>
<div class="cell3 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-xs-block">
</div>
<?php if ( is_active_sidebar('menubelowcolumn4') ) : ?>
<div class="cell4 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="menubelowcolumn4">
<?php templatetoaster_theme_dynamic_sidebar( 'MBWidgetArea03'); ?>
</div>
</div>
<?php else: ?>
<div class="cell4 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-lg-block visible-sm-block visible-md-block visible-xs-block">
</div>
</div>
<div class="clearfix"></div>
<?php endif; ?>
</div>
<div class="ttr_banner_slideshow">
<?php
if( is_active_sidebar( 'slideshowabovecolumn1'  ) || is_active_sidebar( 'slideshowabovecolumn2'  ) || is_active_sidebar( 'slideshowabovecolumn3'  ) || is_active_sidebar( 'slideshowabovecolumn4'  )):
?>
<div class="ttr_banner_slideshow_inner_above0">
<?php if ( is_active_sidebar('slideshowabovecolumn1') ) : ?>
<div class="cell1 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="slideshowabovecolumn1">
<?php templatetoaster_theme_dynamic_sidebar( 'SAWidgetArea00'); ?>
</div>
</div>
<?php else: ?>
<div class="cell1 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-xs-block">
</div>
<?php if ( is_active_sidebar('slideshowabovecolumn2') ) : ?>
<div class="cell2 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="slideshowabovecolumn2">
<?php templatetoaster_theme_dynamic_sidebar( 'SAWidgetArea01'); ?>
</div>
</div>
<?php else: ?>
<div class="cell2 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-sm-block visible-md-block visible-xs-block">
</div>
<?php if ( is_active_sidebar('slideshowabovecolumn3') ) : ?>
<div class="cell3 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="slideshowabovecolumn3">
<?php templatetoaster_theme_dynamic_sidebar( 'SAWidgetArea02'); ?>
</div>
</div>
<?php else: ?>
<div class="cell3 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-xs-block">
</div>
<?php if ( is_active_sidebar('slideshowabovecolumn4') ) : ?>
<div class="cell4 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="slideshowabovecolumn4">
<?php templatetoaster_theme_dynamic_sidebar( 'SAWidgetArea03'); ?>
</div>
</div>
<?php else: ?>
<div class="cell4 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-lg-block visible-sm-block visible-md-block visible-xs-block">
</div>
</div>
<div class="clearfix"></div>
<?php endif; ?>
</div>
<div class="ttr_slideshow">
<div id="ttr_slideshow_inner">
<ul>
<li id="Slide0" class="ttr_slide" data-slideEffect="Fade">
<a href="#"></a>
<div class="ttr_slideshow_last">
<div class="ttr_slideshow_element_alignment" data-begintime="0" data-effect="Fade" data-easing="linear" data-slide="None" data-duration="0">
</div>
<div class="ttr_slideshowshape01" data-effect="None" data-begintime="0" data-duration="1" data-easing="linear" data-slide="None">
<div class="html_content"><p style="line-height:1.47042253521127;"><br style="font-family:'Arial';font-size:2.143em;" /></p><p style="border-width:0px 0px 0px 0px;border-color:rgba(255,255,255,0);text-align:Center;line-height:1.47042253521127;border-style:solid;mso-element:para-border-div;border-collapse:separate;border-spacing:1px;padding:0;"><span style="font-family:'Arial';font-size:2.143em;color:rgba(66,139,202,1);background-color:transparent;">First Slide</span></p></div>
</div>
</div>
</li>
<li id="Slide1" class="ttr_slide" data-slideEffect="Fade">
<a href="#"></a>
<div class="ttr_slideshow_last">
<div class="ttr_slideshow_element_alignment" data-begintime="0" data-effect="Fade" data-easing="linear" data-slide="None" data-duration="0">
</div>
<div class="ttr_slideshowshape11" data-effect="None" data-begintime="0" data-duration="1" data-easing="linear" data-slide="None">
<div class="html_content"><p style="line-height:1.47042253521127;"><br style="font-family:'Arial';font-size:2.143em;" /></p><p style="border-width:0px 0px 0px 0px;border-color:rgba(255,255,255,0);text-align:Center;line-height:1.47042253521127;border-style:solid;mso-element:para-border-div;border-collapse:separate;border-spacing:1px;padding:0;"><span style="font-family:'Arial';font-size:2.143em;color:rgba(66,139,202,1);background-color:transparent;">Second Slide</span></p></div>
</div>
</div>
</li>
<li id="Slide2" class="ttr_slide" data-slideEffect="Fade">
<a href="#"></a>
<div class="ttr_slideshow_last">
<div class="ttr_slideshow_element_alignment" data-begintime="0" data-effect="Fade" data-easing="linear" data-slide="None" data-duration="0">
</div>
<div class="ttr_slideshowshape21" data-effect="None" data-begintime="0" data-duration="1" data-easing="linear" data-slide="None">
<div class="html_content"><p style="line-height:1.47042253521127;"><br style="font-family:'Arial';font-size:2.143em;" /></p><p style="border-width:0px 0px 0px 0px;border-color:rgba(255,255,255,0);text-align:Center;line-height:1.47042253521127;border-style:solid;mso-element:para-border-div;border-collapse:separate;border-spacing:1px;padding:0;"><span style="font-family:'Arial';font-size:2.143em;color:rgba(66,139,202,1);background-color:transparent;">Third Slide</span></p></div>
</div>
</div>
</li>
</ul>
</div>
<div class="ttr_slideshow_in">
<div class="ttr_slideshow_last">
<div id="nav"></div>
<div class="ttr_slideshow_logo">
</div>
</div>
</div>
</div>
<div class="ttr_banner_slideshow">
<?php
if( is_active_sidebar( 'slideshowbelowcolumn1'  ) || is_active_sidebar( 'slideshowbelowcolumn2'  ) || is_active_sidebar( 'slideshowbelowcolumn3'  ) || is_active_sidebar( 'slideshowbelowcolumn4'  )):
?>
<div class="ttr_banner_slideshow_inner_below0">
<?php if ( is_active_sidebar('slideshowbelowcolumn1') ) : ?>
<div class="cell1 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="slideshowbelowcolumn1">
<?php templatetoaster_theme_dynamic_sidebar( 'SBWidgetArea00'); ?>
</div>
</div>
<?php else: ?>
<div class="cell1 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-xs-block">
</div>
<?php if ( is_active_sidebar('slideshowbelowcolumn2') ) : ?>
<div class="cell2 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="slideshowbelowcolumn2">
<?php templatetoaster_theme_dynamic_sidebar( 'SBWidgetArea01'); ?>
</div>
</div>
<?php else: ?>
<div class="cell2 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-sm-block visible-md-block visible-xs-block">
</div>
<?php if ( is_active_sidebar('slideshowbelowcolumn3') ) : ?>
<div class="cell3 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="slideshowbelowcolumn3">
<?php templatetoaster_theme_dynamic_sidebar( 'SBWidgetArea02'); ?>
</div>
</div>
<?php else: ?>
<div class="cell3 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-xs-block">
</div>
<?php if ( is_active_sidebar('slideshowbelowcolumn4') ) : ?>
<div class="cell4 col-lg-3 col-md-6 col-sm-6  col-xs-12">
<div class="slideshowbelowcolumn4">
<?php templatetoaster_theme_dynamic_sidebar( 'SBWidgetArea03'); ?>
</div>
</div>
<?php else: ?>
<div class="cell4 col-lg-3 col-md-6 col-sm-6  col-xs-12transparent">
&nbsp;
</div>
<?php endif; ?>
<div class="clearfix visible-lg-block visible-sm-block visible-md-block visible-xs-block">
</div>
</div>
<div class="clearfix"></div>
<?php endif; ?>
</div>
