<?php
/**
 * The Footer widget areas.
 */
?>

<?php
	/* The footer widget area is triggered if any of the areas
	 * have widgets. So let's check that first.
	 *
	 * If none of the sidebars have widgets, then let's bail early.
	 */
	if (   ! is_active_sidebar( 'first-footer-widget-area'  )
		&& ! is_active_sidebar( 'second-footer-widget-area' )
		&& ! is_active_sidebar( 'third-footer-widget-area'  )
		&& ! is_active_sidebar( 'fourth-footer-widget-area' )
	)
		return;
	// If we get this far, we have widgets. Let do this.
?>

			<div id="footer-widget-area" role="complementary">

<?php if ( is_active_sidebar( 'first-footer-widget-area' ) ) : ?>
				<div id="first" class="widget-area  col-lg-4 col-md-4 col-sm-4 col-xs-12">
					
						<?php templatetoaster_theme_dynamic_sidebar( 'first-footer-widget-area' ); ?>
					
				</div><!-- #first .widget-area -->
<?php endif; ?>

<?php if ( is_active_sidebar( 'second-footer-widget-area' ) ) : ?>
				<div id="second" class="widget-area  col-lg-4 col-md-4 col-sm-4 col-xs-12">
			
						<?php templatetoaster_theme_dynamic_sidebar( 'second-footer-widget-area' ); ?>
				
				</div><!-- #second .widget-area -->
<?php endif; ?>

<?php if ( is_active_sidebar( 'third-footer-widget-area' ) ) : ?>
				<div id="third" class="widget-area  col-lg-4 col-md-4 col-sm-4 col-xs-12">
				
						<?php templatetoaster_theme_dynamic_sidebar( 'third-footer-widget-area' ); ?>
				
				</div><!-- #third .widget-area -->
<?php endif; ?>

<?php if ( is_active_sidebar( 'fourth-footer-widget-area' ) ) : ?>
				<div id="fourth" class="widget-area  col-lg-4 col-md-4 col-sm-4 col-xs-12">
					
						<?php templatetoaster_theme_dynamic_sidebar( 'fourth-footer-widget-area' ); ?>
				
				</div><!-- #fourth .widget-area -->
<?php endif; ?>
<div class="clearfix"></div>
			</div><!-- #footer-widget-area -->